//隐藏头部
var header = $('header');
var scrollDelta = 10;
var scrollOffset = 200;
var isScroll = false;
var previousTop = 0;
var currentTop = 0;

$(window).scroll(function() {
	if (!isScroll) {
		isScroll = true;
		(window.requestAnimationFrame)
			? requestAnimationFrame(autoHideHeader)
			: setTimeout(autoHideHeader, 250);
	}
});

function autoHideHeader() {
	currentTop = $(window).scrollTop();

	var distance = header.offset().top - header.height();
	if (previousTop >= currentTop) {
		if (previousTop - currentTop >= scrollDelta) {
			header.removeClass('is-hide');
		}
	}
	else {
		if (currentTop - previousTop >= scrollDelta && currentTop > scrollOffset) {
			header.addClass('is-hide');
		}
	}
	previousTop = currentTop;
	isScroll = false;
}

//导航
$('.scroll-h').click(function() {
	$('html,body').animate({
		scrollTop: '0px'
	},
	800);
});
$('.scroll-c').click(function() {
	$('html,body').animate({
		scrollTop: $('#comments').offset().top
	},
	800);
});
$('.scroll-b').click(function() {
	$('html,body').animate({
		scrollTop: $('#footer').offset().top
	},
	800);
});

//保护
$('[data-fancybox]').fancybox({
	protect: true
});


//图库
 $("#article-content img").each(function() {
    var b = $(this),
        c = (b.attr("title"), b.parent("a")),
        d = typeof b.attr("noGallery");
    void 0 !== b.attr("max") && b.wrap('<div class="max-img"></div>'),
            "undefined" === d && (c.length < 1 && (c = b.wrap('<a data-fancybox="gallery" no-pjax data-type="image" href="' + this.getAttribute("src") + '"></a>').parent("a")), c.addClass("light-link"))
 });

//提醒
$("#search-box").bind("input porpertychange",function() { 
  - 1 != $("#search-box").val().indexOf("自杀") && 
 ArmMessage.error('如需帮助请<a href="/about.html"><i class="fa fa-heart"></i> 联系我们</a><i class="fa fa-heart"></i>。') &&
 $('#search-box').val("");
});

//表情
function grin(tag) {
    	var myField;
    	tag = ' ' + tag + ' ';
        if (document.getElementById('comment-text') && document.getElementById('comment-text').type == 'textarea') {
    		myField = document.getElementById('comment-text');
    	} else {
    		return false;
    	}
    	if (document.selection) {
    		myField.focus();
    		sel = document.selection.createRange();
    		sel.text = tag;
    		myField.focus();
    	}
    	else if (myField.selectionStart || myField.selectionStart == '0') {
    		var startPos = myField.selectionStart;
    		var endPos = myField.selectionEnd;
    		var cursorPos = endPos;
    		myField.value = myField.value.substring(0, startPos)
    					  + tag
    					  + myField.value.substring(endPos, myField.value.length);
    		cursorPos += tag.length;
    		myField.focus();
    		myField.selectionStart = cursorPos;
    		myField.selectionEnd = cursorPos;
    	}
    	else {
    		myField.value += tag;
    		myField.focus();
    	}
        $("#smiles-sidebar").hide();
 }

//显示/隐藏表情包
$("#smilies").click(function(){
 if($("#smiles-sidebar").css("display")=="none"){
   $("#smiles-sidebar").show();
 } else {
   $("#smiles-sidebar").hide();
 }
});

$(document).bind('click', function (e) {
 if($(e.target).closest("#form-emoji").length == 0 && $(e.target).closest("#smiles-sidebar").length == 0 && $("#smiles-sidebar").css("display")!="none"){
   $("#smiles-sidebar").hide();
}});